Subject: [bug#40601] [PATCH 2/5] guix-install.sh: Remove $UID bashism.

From: Vincent Legoll <[email-masked]>
Date: Sun, 20 Dec 2020 18:28:36 +0100

* etc/guix-install.sh: Use `id -u' instead of $UID.
---
 etc/guix-install.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 26c8622855..0102901010 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -32,7 +32,7 @@ fi
 
 set -e
 
-[ "$UID" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
+[ "$(id -u)" -eq 0 ] || { echo "This script must be run as root."; exit 1; }
 
 REQUIRE=(
     "dirname"
-- 
2.29.2